// Flame Sensor

#include "Flame.h"

#define  DIGITAL_SENSOR_F    0   // Sensor colocado en entrada digital
#define  ANALOG_SENSOR_F     1   // Sensor colocado en entrada analogica


//Constructor
Flame::Flame(){}

//API
//readHumidityValue()
int Flame::readFlame(int pin, bool kind)
{

  if (kind == DIGITAL_SENSOR_F)
  {
        // Sensor digital (logica inversa)
        pinMode(pin, INPUT);
        return  digitalRead(pin);
  }else{
      // Sensor analogico
      return (1023-analogRead(A0 + pin));
  }
}
