// Hygrometer sensor

#include "Hygrometer.h"

#define  DIGITAL_SENSOR_H    0   // Sensor colocado en entrada digital
#define  ANALOG_SENSOR_H     1   // Sensor colocado en entrada analogica


//Constructor
Hygrometer::Hygrometer(){}

//API
//readHumidityValue()
int Hygrometer::readHumidity(int pin, bool kind)
{

  if (kind == DIGITAL_SENSOR_H)
  {
        // Sensor digital (logica inversa)
        pinMode(pin, INPUT);
        return  !digitalRead(pin);
  }else{
      // Sensor analogico
      return (1023-analogRead(A0 + pin));
  }
}
