// Water Level sensor

#include "WaterLevel.h"

#define  DIGITAL_SENSOR_L    0   // Sensor colocado en entrada digital
#define  ANALOG_SENSOR_L     1   // Sensor colocado en entrada analogica


//Constructor
WaterLevel::WaterLevel(){}

//API
int WaterLevel::readLevel(int pin, bool kind)
{

  if (kind == DIGITAL_SENSOR_L)
  {
        // Sensor digital (logica inversa)
        pinMode(pin, INPUT);
        return  digitalRead(pin);
  }else{
      // Sensor analogico
      return analogRead(A0 + pin);
  }
}
