﻿/*
  ML8511.h - Library for UV Intensity Sensor ML8511.
  Created by Andres Lopez, July 2, 2019.
  Released into the public domain.
*/

// Guardián de inclusión múltiple
#ifndef ML8511_h
#define ML8511_h
#include <Arduino.h>
#include <stddef.h>

// define funciones nuevas
//#define   readIntensity   read_1
//#define   readAD          read_2
//#define   readVoltage     read_3


class ML8511
{
  public:
    ML8511();   // contructor
    void begin(int Pin);
    float readIntensity(void);
    float readAD(void);
    float readVoltage(int uvLevel);
  private:
    int _pinUVOUT;
};

#endif
